Subject: bug#16737: A bit of digging

From: Mike Crowe <[email-masked]>
Date: Wed, 8 Jul 2015 21:54:13 +0100

Thanks to Alan's reproduction recipe in message #158 I've been able to
do a bit of digging.

>From what I can determine pselect is continuously being woken up due
to activity on the X file descriptor (this can be seen in message #70)
yet pending_signals never gets set so unblock_input_to never calls
process_pending_signals so xgselect just goes round and round until
the timeout time is reached. :(

I suspected that SIGIO was left being incorrectly blocked but I
haven't been able to find any evidence for that yet.

But, I have been able to make the problem go away by recompiling
without USABLE_SIGIO defined so I'm reasonably sure that it's
something going awry in the signal area.

Perhaps this will help someone more knowledgeable than me work out
where the problem lies.

Mike.